//*****************************************
// AT mega328P-AU(32pin TQFP) four IN-4 & ZM1020 clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:infrared.h
//  wb_[t@C
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2020/09/24 Modify for four IN-8 clock Taishi
//  2022/02/26 Modify for four IN-4 & ZM1020 clock Taishi
//*****************************************

// Mf[^
enum INFR_DATA {
		INFR_DATA_START = '0',

		IND1_ON_NOW,			// set n߂	'1'
		IND1_ON_CONTINUE,		// set A		'2'
		IND1_OFF_SHORT,			// set Z	'3'
		IND1_OFF_LONG,			// set 	'4'
		IND2_ON_NOW,			// select n߂	'5'
		IND2_ON_CONTINUE,		// select A		'6'
		IND2_OFF_SHORT,			// select Z	'7'
		IND2_OFF_LONG,			// select 	'8'

		INFR_DATA_END,
	};

extern	unsigned short	Ginf_data;

void			infrared_init(void);
unsigned char	get_infrared_stat(void);
unsigned char	get_infrared_data(void);
