//*****************************************
// AT mega328P-AU(32pin TQFP) four IN-4 & ZM1020 clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:port_bit.h
//  wb_[t@C
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2020/09/24 Modify for four IN-8 clock Taishi
//  2022/02/26 Modify for four IN-4 & ZM1020 clock Taishi
//*****************************************

// XCb`
#define	SW1_ON_BIT		(1 << PINB7)			// set switch
#define	SW2_ON_BIT		(1 << PINB6)			// select switch

// XCb`P̑ԁiWrbgj
#define			SW1_ON_NOW			0x0100		// XCb`PꂽB
#define			SW1_OFF_SHORT		0x0200		// XCb`PꂽBĂԂ͒Z
#define			SW1_OFF_LONG		0x0400		// XCb`PꂽBĂԂ͒
#define			SW1_ON_CONTINUE		0x0800		// XCb`PꑱĂBi莞ԊԊuł̒lxoj
#define			SW1_ON				0x1000		// XCb`PꑱĂBiĂ鎞͂̒loj
#define			SW1_MASK			0x1f00		// XCb`P̐M𒊏o

// XCb`Q̑ԁiWrbgj
#define			SW2_ON_NOW			0x01		// XCb`QꂽB
#define			SW2_OFF_SHORT		0x02		// XCb`QꂽBĂԂ͒Z
#define			SW2_OFF_LONG		0x04		// XCb`QꂽBĂԂ͒
#define			SW2_ON_CONTINUE		0x08		// XCb`QꑱĂBi莞ԊԊuł̒lxoj
#define			SW2_ON				0x10		// XCb`QꑱĂBiĂ鎞͂̒loj
#define			SW2_MASK			0x1f		// XCb`Q̐M𒊏o

#define			SW_MASK				0x1f1f		// XCb`̐M𒊏o

// kdc
//  PB1: RED LED(H=ON, L=OFF)
#define	led_red_init()	DDRB |= (1 << DDB1)					// Port-B Bit1 : Output
#define	led_red_on()	PORTB |=  (1 << PB1)				// LED RED ON
#define	led_red_off()	PORTB &= ~(1 << PB1)				// LED RED OFF

//  PB2: BLU LED(H=ON, L=OFF)
#define	led_blu_init()	DDRB |= (1 << DDB2)					// Port-B Bit2 : Output
#define	led_blu_on()	PORTB |=  (1 << PB2)				// LED BLUE ON
#define	led_blu_off()	PORTB &= ~(1 << PB2)				// LED BLUE OFF


extern	void			get_sw(void);
extern	void			sw_init(void);
extern	unsigned short	get_action_sw(void);
extern	void			wait_key_off(void);
extern	void			wait_sw_off(void);
