//*****************************************
// AT mega328P-AU(32pin TQFP) four IN-4 & ZM1020 clock Program
// CPU Clock:8MHz
//   iq[Yf[^@UWlgɂj
// File Name:set_rtc.c
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2020/09/24 Modify for four IN-8 clock Taishi
//  2022/02/26 Modify for four IN-4 & ZM1020 clock Taishi
//*****************************************

#include	<avr/interrupt.h>
#include	<avr/io.h>

#include	"four_in4_zm1020_clock.h"
#include	"timer.h"
#include	"port_bit.h"
#include	"rtc_ds3234.h"
#include	"display.h"
#include	"nixie.h"
#include	"set_rtc_4keta.h"
#include	"set_rtc.h"


// *********************************************************
// cF[̌
//  FN 
// @@ F
// @@ F
// ߂l@jFOjAPjADDDDUyj
// *********************************************************
unsigned char subZeller( unsigned short y, unsigned short m, unsigned short d )
{
	unsigned char	r;
	
    if( m < 3 ) {
        y--;
		m += 12;
    }
    r = (unsigned char)(( y + y/4 - y/100 + y/400 + ( 13*m + 8 )/5 + d )%7);
    return(r);
}


//*****************************************
// v킹
// ߂l@OFɂqsbɃANZXł
// @@@@PFɂqsbɃANZXłȂ
// @OFԑ얳
//*****************************************
unsigned char	proc_set_rtc(void)
{
	unsigned char	r = 0;

	rtc_read();									// RTC ǂݏo

	gRTC_mon &= 0x1f;							// 
	gRTC_day &= 0x3f;							// 
	gRTC_hou &= 0x3f;							// 
	gRTC_min &= 0x7f;							// 
	gRTC_sec &= 0x7f;							// b

	r = proc_set_rtc_4keta();					// Sp v킹

	return(r);
}

