//*****************************************
// AT mega328P-AU(32pin TQFP) four IN-4 & ZM1020 clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:four_in4_zm1020_clock.h
//  wb_[t@C
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2020/09/24 Modify for four IN-8 clock Taishi
//  2022/02/26 Modify for four IN-4 & ZM1020 clock Taishi
//*****************************************

#define		CPU_CLOCK		8000000								// 8MHz
#define		VER_DATA		100									// Version 1.00

enum DISP_CLOCK_MODE {		// 샂[h
		HMS = 0,			// b\
		YMD,				// N\
		HM,					// \
		MD,					// \
		YE,					// N\
		YMDHMS,				// Nb\
		SET,				// v킹
		ANIME,				// Aj[V
		CDS,				// b\i`^clj
		TEMPER,				// x\iqsbj
		VOLTTEMPE,			// d\i`^clj x\iqsbj
		Infr_Data,			// ԊOMf[^ifobOpj
	};

#define		TIM_DISP_RETURN		20						// \ȊOő삪ɖ߂鎞ԁibj

extern	unsigned char	g_keta;
extern	unsigned short	trans_if_to_sw(unsigned char if_data);
