//*****************************************
// AT mega328P-AU(32pin TQFP) four IN-4 & ZM1020 clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:nixie.h
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2020/09/24 Modify for four IN-8 clock Taishi
//  2022/02/26 Modify for four IN-4 & ZM1020 clock Taishi
//*****************************************

#define	KETA_MAX		3				// ̋@̌iO炱̒l܂łőIBj
#define	KETA_SEL_MAX	4				// ̋@̌IR[h̍őliO炱̒l܂łőIBRŌ̂PƂĂSɂj
#define	PATH_MAX		4				// _Ci~bN\1̃JEgii̒l{Pjitaimer2̊ݎ[TOOr]jP̎ԂɂȂj


extern	unsigned char	nixe_active;
extern	unsigned char	path_limit;
extern	unsigned char	change_path;

extern	void	init_nixe(void);
extern	void	proc_dynamic_nixie(void);
extern	void	dynamic_nixie_active(unsigned char on);
extern	void	disp_dynamic_nixie_number(unsigned char k, unsigned char n);
extern	void	disp_dynamic_nixie_clear(void);
extern	void	disp_dynamic_colon_on_off(unsigned char n);

extern	void	disp_static_nixie_number(unsigned char k, unsigned char n);
extern	void	disp_static_colon_on_off(unsigned char n);
